# PSOAPServerResource Class Reference

This resource will bind the methods to an http resource (a url). More...

`#include <psoap.h>`

Inheritance diagram for PSOAPServerResource:

List of all members.

## Public Member Functions

| PSOAPServerResource ()
| PSOAPServerResource (const PHTTPAuthority &auth)
| PSOAPServerResource (const PURL &url)
| PSOAPServerResource (const PURL &url, const PHTTPAuthority &auth)
PBoolean | LoadHeaders (PHTTPRequest &request)
| Get the headers for block of data (eg HTML) that the resource contains.
PBoolean | OnPOSTData (PHTTPRequest &request, const PStringToString &data)
| Send the data associated with a POST command.
virtual PBoolean | OnSOAPRequest (const PString &body, PString &reply)
virtual PBoolean | SetMethod (const PString &methodName, const PNotifier &func)
PBoolean | OnSOAPRequest (const PString &methodName, PSOAPMessage &request, PString &reply)
virtual PSOAPMessage | FormatFault (PINDEX code, const PString &str)
void | SetSOAPAction (PString saction)
| Use this method to have the server check for SOAPAction field in HTTP header.

## Protected Attributes

PMutex | methodMutex
PSOAPServerMethodList | methodList

## Detailed Description

This resource will bind the methods to an http resource (a url).

## Constructor & Destructor Documentation

PSOAPServerResource::PSOAPServerResource | ( |  | ) |

PSOAPServerResource::PSOAPServerResource | ( | const PHTTPAuthority & | auth | ) |

Parameters:

  auth | Authorisation for the resource.

PSOAPServerResource::PSOAPServerResource | ( | const PURL & | url | ) |

Parameters:

  url | Name of the resource in URL space.

PSOAPServerResource::PSOAPServerResource | ( | const PURL & | url,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

Parameters:

  url | Name of the resource in URL space.
  auth | Authorisation for the resource.

## Member Function Documentation

virtual PSOAPMessage PSOAPServerResource::FormatFault | ( | PINDEX | code,
|  | const PString & | str |
| ) |  |  | `[virtual]`

PBoolean PSOAPServerResource::LoadHeaders | ( | PHTTPRequest & | request | ) | `[virtual]`

Get the headers for block of data (eg HTML) that the resource contains.

This will fill in all the fields of the `outMIME` parameter required by the resource and return the status for the load.

Returns:
  true if all OK, false if an error occurred.

Implements PHTTPResource.

PBoolean PSOAPServerResource::OnPOSTData | ( | PHTTPRequest & | request,
|  | const PStringToString & | data |
| ) |  |  | `[virtual]`

Send the data associated with a POST command.

The default action calls `Post()`.

Returns:
  true if the connection may persist, false if the connection must close. If there is no ContentLength field in the response, this value must be false for correct operation.

Reimplemented from PHTTPResource.

PBoolean PSOAPServerResource::OnSOAPRequest | ( | const PString & | methodName,
|  | PSOAPMessage & | request,
|  | PString & | reply |
| ) |  |  |

virtual PBoolean PSOAPServerResource::OnSOAPRequest | ( | const PString & | body,
|  | PString & | reply |
| ) |  |  | `[virtual]`

virtual PBoolean PSOAPServerResource::SetMethod | ( | const PString & | methodName,
|  | const PNotifier & | func |
| ) |  |  | `[virtual]`

void PSOAPServerResource::SetSOAPAction | ( | PString | saction | ) | `[inline]`

Use this method to have the server check for SOAPAction field in HTTP header.

Default is " ", which means don't care, more or less. Anything else means the header has to be filled in with something meaningful. It has to exist anyway.

## Member Data Documentation

PSOAPServerMethodList PSOAPServerResource::methodList `[protected]`

PMutex PSOAPServerResource::methodMutex `[protected]`

The documentation for this class was generated from the following file:

- psoap.h